<!DOCTYPE html>

<html lang="ru"><head>
    <meta charset="utf-8"> 
    <title>Задание по web</title>
    <link rel="stylesheet" href="style.css" type="text/css" >
   </head>
   
   <body >
     

    <div class="logo"></div>
    <header class="header">
        <h1 id="h1">Разработка пользовательского web интерфейса</h1>
    
      </header>
      <br>
      <nav>
        
          <ul class="nav">
            <li><a href="/">Главная</a></li>
            <li><a href="#head1">Ссылки</a></li>
            <li><a href="#head3">Таблица</a></li>
            <li><a href="#head2">Форма</a></li>
            							
          </ul>
        
       </nav>

      <br><br><br>
      
      
     <a id="top"></a>

   

  
  <div class="sp">
    <h2 id="head1">Нумерованный список гиперссылок</h2>
    <ol>
           <li><a href="http://example.com/">Абсолютная гиперссылка на главную страницу сайта example.com;</a></li>
           <li><a href="https://example.com">Абсолютная на главную сайта example.com в протоколе https;</a></li>
           <li><a href="ftp://example.com/files/file.html">Ссылка на файл на сервере FTP без авторизации;</a></li>
           <li><a href="ftp://user:123@example.com/files/file.html">Ссылка на файл на сервере FTP с авторизацией;</a></li>
           <li><a href="http://example.com/#anchor">Ссылка на фрагмент страницы некоторого сайта;</a></li>
           <li><a href="#top">Ссылка на фрагмент текущей страницы;</a></li>
           <li><a href="http://example.com?parameter1=p1&amp;parameter2=p2"></a>Ссылка с двумя параметрами в URL;</li>
           <li>
                Список ссылок основной навигации сайта с подписями title
                 <ul>
                   <li><a href="#head1" title="Нумерной список гиперссылок">Нумерованный список гиперссылок;</a></li>
                   <li><a href="#head2" title="Форма">Форма;</a></li>
                   <li><a href="#head3" title="Таблица">Таблица;</a></li>
                 </ul>
           </li>
           
           <li><a title="abc">Ссылка без href;</a></li>
           <li><a href=" ">Ссылка с пустым href;</a></li>
           <li><a href="http://example.com" rel="nofollow">Ссылка, по которой запрещен переход поисковикам;</a></li>
           <li><a href="http://example.com" rel="nofollow"><!--noindex-->Ссылка, запрещенная для индексации поисковиками;<!--/noindex--></a></li>
           <li><p>Контекстная <a href="http://example.com"> ссылка </a> в тексте абзаца</p></li>


           
           <li>
             Ссылка-изображение <br>
             <a href="http://example.com"><img src="https://i.pinimg.com/736x/e0/b8/08/e0b80831e74d08451aacc65cd26156c5.jpg" alt="Описание картинки"></a></li>
             
             <li>
               Ссылка из прямоугольных и круглых областей картинки<br>
               <img src="https://www.cartoonmemes.in/tom_and_jerry/eating/Tom-Jerry%20Eating%20Reactions%20(126).jpg" width="400" heidht="200" alt="Описание картинки" usemap="#mymap">

               <map name="mymap"> 
               <area shape="rect" coords="150,50,200,150" href="http://example.com" alt="Прямоугольная область">
               <area shape="circle" coords="150,180,50" href="http://example.com" alt="Круглая область">
               </map>
               </li>

           <li><a href="page.html">Относительная ссылка на страницу в текущем каталоге;</a></li>
           <li><a href="./about/page.html">Относительная ссылка на страницу в каталоге about;</a></li>
           <li><a href="../page.html">Относительная ссылка на страницу в каталоге уровнем выше текущего;</a></li>
           <li><a href="../../page.html">Относительная ссылка на страницу в каталоге двумя уровнями выше;</a></li>
           <li><a href="/">Сокращенная ссылка на главную;</a></li>
           <li><a href="/pages/page">Сокращенная ссылка на внутреннюю;</a></li>   
       </ol>  

       <br><br>

       <div class="tb">
        <h2 id="head3">Таблица</h2>
        
       
       <br>

       <table >
         <tbody>
   
           <tr >
               <td colspan="4" >Таблица составления цвета</td>
        </tr>
   
   
        <tr >
           <td>#</td>
           <th>Результат</th>
           <th>1-ый цвет</th>
           <th>2-ой цвет</th>
       </tr>
   
       <tr >
        <td colspan="4" >Объединение ячеек</td>
 </tr>
        
         <tr >
           <td>1</td> 
           <td>Оранжевый</td>
           <td>Красный</td>
           <td>Желтый</td>
          </tr>
   
          
         <tr>
           <td>2</td>
           <td>Фиолетовый</td>
           <td>Синий</td>
           <td>Красный</td>
          </tr>
   
   
          
         <tr >
           <td>3</td>
           <td>Зеленый</td>
           <td>Синий</td>
           <td>Желтый</td>
          </tr>
   
   
          
         <tr >
           <td>4</td>
           <td>Серый</td>
           <td>Белый</td>
           <td>Черный</td>
          </tr>
   
   
          
         <tr >
           <td>5</td>
           <td>Розовый</td>
           <td>Красный</td>
           <td>Белый</td>
          </tr>
   
       </tbody></table>

       



       <br><br><br>

       <div class="fr">
        <h2 id="head2">Форма</h2>

<form action="http://example.com" method="POST ">

 <label>
   Имя:<br>
   <input name="yourname" value="имя">
 </label><br>

 <label>
   e-mail:<br>
   <input name="e-mail" value="test@example.com" type="email">
 </label><br>

 <label>
   Дата рождения:<br>
   <input name="dateofbirth" value="01-01-2001" type="date">
 </label><br>

 

 Пол:<br>
 <label><input type="radio" checked="checked" name="radio-group-1" value="Значение1">
   мужской</label>
 <label><input type="radio" name="radio-group-1" value="Значение2">
  женский</label><br>
 <br>
  Количество конечностей:<br>
 <label><input type="radio" checked="checked" name="radio-group-1" value="Значение1">
   1</label>
 <label><input type="radio" name="radio-group-1" value="Значение2">
  2</label>
  <label><input type="radio" checked="checked" name="radio-group-1" value="Значение1">
   3</label>
 <label><input type="radio" name="radio-group-1" value="Значение2">
  4</label><br>
<br>


   
  <label>
   Сверхспособности::
   <br>
   <select name="field-name-4[]" multiple="multiple">
     <option value="Значение1">бессмертие</option>
     <option value="Значение2" selected="selected">прохождение сквозь стены</option>
     <option value="Значение3" selected="selected">левитация</option>
   </select>
 </label><br>


  <label>
   Биография:<br>
   <textarea name="field-name-2">начальное значение</textarea>
 </label><br>



<br>
 <br>
 <label><input type="checkbox" checked="checked" name="check-1">
  С контрактом ознакомлен:<br>
  <label>
      <input type="checkbox" checked="checked" name="check-1">
  </label><br>
  <input type="submit" value="Отправить">
</form>
</div>
<br><br>
<footer class="footer">(c)Рыслинг Дарья 2020</footer>

</body></html>


